petsc-3.4.2 2013-07-02

# PCGAMGSetType

Set solution method - calls sub create method

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGSetType(PC pc, PCGAMGType type)

Collective on PC

### Input Parameters

pc -the preconditioner context

### Options Database Key

-pc_gamg_type -

### See Also

()

Level:intermediate
Location:src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex54.c.html